function set_quart_ax(hv);

set(gcf, 'Renderer', 'ZBuffer') %added by Gianni lombardo Feb2009
axis tight
for jj=1
    h=hv(jj);
uu=get(h,'XData');
uu=get(get(h,'Parent'),'XTick');
uu=uu(1):.25:uu(end);
uu=uu(1:4:length(uu));
% u2=regexprep(str2cell(num2str(uu')),'((0-9)*)','$1QQ')
u2=regexprep(str2cell(num2str(uu')),'\.25',':Q2');
    u2=regexprep(u2,'\.5',':Q3');
        u2=regexprep(u2,'\.75',':Q4');
            u2=regexprep(u2,'\.5',':Q3');
            [xx,yy]=find_incell(u2,'Q');
            tmp=setdiff(1:size(u2,1),yy);
            tmp2=u2;
            if ~isempty(tmp)
                tmp3=[cell2str(u2(tmp,:)),repmat(':Q1',size(u2(tmp,:),1),1)];
            end
            tmp4=regexprep(str2cell(tmp3),'\s*','');
u2(tmp,:)=tmp4;
u2=regexprep(u2,'\s*','');
 set(get(h,'Parent'),'XTick',uu)
set(get(h,'Parent'),'XtickLabel',u2);
end